We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

/usr/local/lib64


buffi89
20-04-2009, 14:18
witam.


wczoraj przypadkiem namodzilem w plikach
/usr/local/lib64
i aplikacja która opiera sie o te pliku poprostu nie uruchamia się

dawalem
emerge libpcre
wynik:
>>> Completed installing libpcre-7.8 into /var/tmp/portage/dev-libs/libpcre-7.8/ image/

strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment
usr/lib64/libpcre.so.0.0.1
usr/lib64/libpcrecpp.so.0.0.0
usr/lib64/libpcreposix.so.0.0.0
usr/bin/pcretest
usr/bin/pcregrep
usr/lib64/libpcreposix.a
usr/lib64/libpcrecpp.a
usr/lib64/libpcre.a
ecompressdir: bzip2 -9 /usr/share/man
scanelf: Sorry, long names not yet supported; output will be incomplete for /var /tmp/portage/dev-libs/libpcre-7.8/image/usr/lib64/libpcrecpp.a
scanelf: Sorry, long names not yet supported; output will be incomplete for /var /tmp/portage/dev-libs/libpcre-7.8/image/usr/lib64/libpcre.a
removing executable bit: usr/lib64/libpcre.la
removing executable bit: usr/lib64/libpcrecpp.la
removing executable bit: usr/lib64/libpcreposix.la

>>> Installing dev-libs/libpcre-7.8
/sbin/ldconfig: /usr/local/lib/libplug_pi.so.0 is not a symbolic link

/sbin/ldconfig: /usr/local/lib/libvhapi.so.0 is not a symbolic link

/sbin/ldconfig: /usr/local/lib/libplug_pi.so.0 is not a symbolic link

/sbin/ldconfig: /usr/local/lib/libvhapi.so.0 is not a symbolic link


>>> Recording dev-libs/libpcre in "world" favorites file...
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

* GNU info directory index is up-to-date.
podobny wynik końcowy jest gdy użyje: emerge geoip

>>> Completed installing geoip-1.4.5 into /var/tmp/portage/dev-libs/geoip-1.4.5/image/

strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment
usr/lib64/libGeoIP.so.1.4.5
usr/lib64/libGeoIPUpdate.so.0.0.0
usr/bin/geoiplookup
usr/bin/geoipupdate
usr/bin/geoiplookup6
usr/lib64/libGeoIP.a
usr/lib64/libGeoIPUpdate.a
ecompressdir: bzip2 -9 /usr/share/man
removing executable bit: usr/lib64/libGeoIP.la
removing executable bit: usr/lib64/libGeoIPUpdate.la

* QA Notice: Package has poor programming practices which may compile
* fine but exhibit random runtime failures.
* GeoIPUpdate.c:116: warning: implicit declaration of function 'vasprintf'

* Please do not file a Gentoo bug and instead report the above QA
* issues directly to the upstream developers of this software.
* Homepage: http://www.maxmind.com/geoip/api/c.shtml

>>> Installing dev-libs/geoip-1.4.5
/sbin/ldconfig: /usr/local/lib/libplug_pi.so.0 is not a symbolic link

/sbin/ldconfig: /usr/local/lib/libvhapi.so.0 is not a symbolic link

/sbin/ldconfig: /usr/local/lib/libplug_pi.so.0 is not a symbolic link

/sbin/ldconfig: /usr/local/lib/libvhapi.so.0 is not a symbolic link

>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

* GNU info directory index is up-to-date.
w jaki sposób można to naprawić?

nie wiem czy dobrze zrobilem ale te brakujace pliki miale na dysku i je tam wrzucilem ale dalej nie dziala...